Bug 665908 - [abrt] exaile-0.3.2.0-2.fc14: properties.py:463:apply_all:IndexError: list index out of range
Summary: [abrt] exaile-0.3.2.0-2.fc14: properties.py:463:apply_all:IndexError: list in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1d25ccd5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 21:38 UTC by A.Russo
Modified: 2011-03-28 19:34 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:34:12 UTC


Attachments (Terms of Use)
File: backtrace (1.34 KB, text/plain)
2010-12-27 21:38 UTC, A.Russo
no flags Details

Description A.Russo 2010-12-27 21:38:52 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.10-74.fc14.x86_64
package: exaile-0.3.2.0-2.fc14
reason: properties.py:463:apply_all:IndexError: list index out of range
release: Fedora release 14 (Laughlin)
time: 1293480716
uid: 504

backtrace
-----
properties.py:463:apply_all:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/properties.py", line 874, in set_all_mode
    self.field.all_func(tag, multi_id, self.field.get_value, self.id_num)
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/properties.py", line 463, in apply_all
    x = track[field][multi_id].split("/")
IndexError: list index out of range

Local variables in innermost frame:
val: <bound method TagDblNumField.get_value of <TagDblNumField object at 0x2c2f410 (GtkHBox at 0x3678a70)>>
field: 'tracknumber'
track: {'album': [u'super hits'], '__playtime': [1680], '__playcount': [7], 'artist': [u'willie nelson'], '__bitrate': [-1], 'title': [u'angel flying too close to the ground'], '__date_added': [1264270194.928867], '__length': [264.50666666666666], 'genre': [''], '__last_played': [1276985576.406966], '__loc': ['file:///multimedia/music/flac/willie_nelson/super_hits/angel_flying_too_close_to_the_ground.flac'], '__basedir': ['/multimedia/music/flac/willie_nelson/super_hits'], 'date': [''], 'tracknumber': [u'10/0'], 'discnumber': ['/0'], '__modified': [1259457373.0]}
multi_id: 1
self: <TrackPropertiesDialog object at 0x2aa6c80 (GObject at 0x3632c00)>
special_cases: ['discnumber', 'tracknumber']
split_num: 0
i: 3
apply_flag: False
v: ['15', '0']
x: ['15', u'0']

How to reproduce
-----
1.Start exaile
2. edit track properties
3.

Comment 1 A.Russo 2010-12-27 21:38:55 UTC
Created attachment 470883 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:41:34 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:46:43 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:31:34 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.